Ubuntu有未满足的依赖关系解决

Ubuntu有未满足的依赖关系解决

如下:

 wine : 依赖: wine1.6 但是它将不会被安装
 wine1.6-amd64 : 依赖: wine1.6:any (= 1:1.6.2-0ubuntu14.2)
 wine1.6-i386:i386 : 依赖: wine1.6:any (= 1:1.6.2-0ubuntu14.2)
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行
“apt-get -f install”(也可以指定一个解决办法)。

这是依赖包缺失造成的原因,运行apt-get -f install 有时候能解决问题。
给大家推荐一个解决方法:
报哪个包没有依赖删除哪个包eg:rm -rf wine1.6-amd64(依赖包名)
然后可以重新输入安装命令大部分依赖就可以得到解决

发布了24 篇原创文章 · 获赞 15 · 访问量 2万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 精致技术 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览